Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-4778

Identify requirements to add puppet_agent CI to support Puppet 5

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Do
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: puppet_agent
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      • Recommendation on path forward communicated with stakeholders (Agent Team, Org Scale, FF).
      • Tickets filed for decomposed, concrete tasks.
    • Team:
      Platform OS
    • Story Points:
      5
    • Sprint:
      Platform OS 2017-09-19
    • QA Risk Assessment:
      No Action

      Description

      Identify changes needed to add Puppet 5 support to puppet_agent acceptance tests and CI.

      In Scope:

      • If we add coverage in "platform" pipelines, do we still need coverage in PE pipelines?
      • Identify requirements to move CI coverage out of PE integration pipelines.
      • Identify if there is a continued need to test in PE integration pipelines.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              geoff.nichols Geoff Nichols
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support